#!/usr/bin/python
# -*- coding: utf-8 -*-
# @version        : 1.0
# @Create Time    : 2025/04/03 10:31
# @File           : project_detect_log_file.py
# @IDE            : PyCharm
# @desc           : 项目推理记录图片信息

from fastapi import Depends, Query
from core.dependencies import Paging, QueryParams


class ProjectDetectLogFileParams(QueryParams):
    def __init__(
            self,
            log_id: int | None = Query(0, title="推理记录id"),
            params: Paging = Depends()):
        super().__init__(params)
        self.log_id = log_id
